curl --request POST \ --url https://geoff.ai/api/v1/lyrics_generation \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "prompt": "A song about coding late at night", "style": "indie rock" }'
{ "data": { "lyrics": "[verse]\nThe cursor blinks at 3 AM\nAnother bug, another friend\n\n[chorus]\nWe code through the night\nChasing the light\nOne more commit and it'll be right" }, "trace_id": "04ede0ab069fb1ba8be5156a24b1e081"}
Music Generation
Lyrics Generation
Generate song lyrics from a prompt and style description.
POST
/
v1
/
lyrics_generation
curl --request POST \ --url https://geoff.ai/api/v1/lyrics_generation \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "prompt": "A song about coding late at night", "style": "indie rock" }'
{ "data": { "lyrics": "[verse]\nThe cursor blinks at 3 AM\nAnother bug, another friend\n\n[chorus]\nWe code through the night\nChasing the light\nOne more commit and it'll be right" }, "trace_id": "04ede0ab069fb1ba8be5156a24b1e081"}
Musical style or genre. E.g., "indie rock", "pop ballad".
curl --request POST \ --url https://geoff.ai/api/v1/lyrics_generation \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "prompt": "A song about coding late at night", "style": "indie rock" }'
{ "data": { "lyrics": "[verse]\nThe cursor blinks at 3 AM\nAnother bug, another friend\n\n[chorus]\nWe code through the night\nChasing the light\nOne more commit and it'll be right" }, "trace_id": "04ede0ab069fb1ba8be5156a24b1e081"}